Bug 1574477

Summary: Installing applications via flatpak from flathub does result in not having any localization for user's locale
Product: [Fedora] Fedora Reporter: Peteris Krisjanis <pecisk>
Component: gnome-softwareAssignee: Richard Hughes <rhughes>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 28CC: francois.jaouen, garbiec, klember, rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-28 21:50:54 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Peteris Krisjanis 2018-05-03 11:53:59 UTC
Description of problem:


Fedora 28, GNOME 28, GNOME Software. Issue is when installing app via flatpak / GNOME Software, no localization info is passed during process and in result no localization is prepared and packaged for application. Have tried to set locales both manually and/or rely on automated process - no luck.


How reproducible:


Steps to Reproduce:
1. Install fresh Fedora 28
2. Activate flathub repository
3. Install GIMP (for example) or Builder

Actual results:
Localization is not enabled and application uses fallback locale C.

Expected results:
Localization is provided and application uses translation for specific user locale

Comment 1 François Jaouen 2018-05-20 12:18:43 UTC
I have the same problem with french Fedora 28 Workstation with Gnome.

- gnome-software 3.28.2
- flatpak 0.11.7

Using gnome-software to install gimp 2.10 via github.org results in gimp talking english (french expected) whatever the language option set in gimp preferences

A clue maybe, journalctl reports :
mai 20 11:15:54 monalisa gimp-2.10[2593]: Locale not supported by C library.
                                                  Using the fallback 'C' locale.
mai 20 11:15:54 monalisa gimp-2.10[2593]: Failed to load module "pk-gtk-module"

But if gimp is installed via cli :

flatpak install flathub org.gimp.GIMP

Then the locale is ok.

Comment 2 Bartłomiej Garbiec 2018-07-12 23:10:09 UTC
I'm "happy" that I am not the only one that have this problem on my Fedora 29.

And it works exactly the same - I am installing an app by gnome-software (GIMP or GNOME Games or Recipes or something...) and it hasn't my system locale (Polish). But Spotify works fine - when i set Polish in Spotify's setting, it works. In other programs it doesnt. Maybe there are more apps that works good, but it is still a problem.

Furthermore, Ubuntu doesn't have that problem - locales work fine there (even when installing GIMP by gnome-software)

Comment 3 Bartłomiej Garbiec 2018-07-12 23:11:44 UTC
And I am suprised, because installing by cli solves the problem. Didnt know that

Comment 4 Ben Cotton 2019-05-02 21:19:16 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-05-28 21:50:54 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.